<testsuites>
  <!--Report is generated by Rally 3.0.1~dev11 at 2020-04-20T21:40:47.459802-->
  <testsuite errors="0" failures="1" id="830fc94e-3a99-4dad-b908-4d9db58012ed" skipped="0" tests="35" time="1786.484" timestamp="2020-04-20T21:10:36">
    <testcase classname="tempest.api.compute.servers.test_device_tagging.TaggedBootDevicesTest" id="a2e65a6c-66f1-4442-aaa8-498c31778d96" name="test_tagged_boot_devices" time="65.275" timestamp="2020-04-20T21:10:50+0000" />
    <testcase classname="tempest.api.compute.servers.test_device_tagging.TaggedBootDevicesTest_v242" id="a2e65a6c-66f1-4442-aaa8-498c31778d96" name="test_tagged_boot_devices" time="75.149" timestamp="2020-04-20T21:12:16+0000" />
    <testcase classname="tempest.api.compute.servers.test_server_actions.ServerActionsTestJSON" id="b68bd8d6-855d-4212-b59b-2e704044dace" name="test_rebuild_server_with_volume_attached" time="24.219" timestamp="2020-04-20T21:14:03+0000" />
    <testcase classname="tempest.api.compute.volumes.test_attach_volume.AttachVolumeShelveTestJSON" id="13a940b6-3474-4c3c-b03f-29b89112bfee" name="test_attach_volume_shelved_or_offload_server" time="58.928" timestamp="2020-04-20T21:14:49+0000" />
    <testcase classname="tempest.api.compute.volumes.test_attach_volume.AttachVolumeShelveTestJSON" id="b54e86dd-a070-49c4-9c07-59ae6dae15aa" name="test_detach_volume_shelved_or_offload_server" time="54.247" timestamp="2020-04-20T21:15:48+0000" />
    <testcase classname="tempest.api.compute.volumes.test_attach_volume.AttachVolumeTestJSON" id="52e9045a-e90d-4c0d-9087-79d657faffff" name="test_attach_detach_volume" time="43.911" timestamp="2020-04-20T21:17:02+0000" />
    <testcase classname="tempest.scenario.test_aggregates_basic_ops.TestAggregatesBasicOps" id="cb2b4c4f-0c7c-4164-bdde-6285b302a081" name="test_aggregate_basic_ops" time="1.134" timestamp="2020-04-20T21:18:10+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="a4858f6c-401e-4155-9a49-d5cd053d1a2f" name="test_server_connectivity_cold_migration" time="49.395" timestamp="2020-04-20T21:18:25+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="03fd1562-faad-11e7-9ea0-fa163e65f5ce" name="test_server_connectivity_live_migration" time="44.809" timestamp="2020-04-20T21:19:14+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="2b2642db-6568-4b35-b812-eceed3fa20ce" name="test_server_connectivity_pause_unpause" time="40.413" timestamp="2020-04-20T21:19:59+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="7b6860c2-afa3-4846-9522-adeb38dfbe08" name="test_server_connectivity_reboot" time="39.233" timestamp="2020-04-20T21:20:40+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="88a529c2-1daa-4c85-9aec-d541ba3eb699" name="test_server_connectivity_rebuild" time="41.959" timestamp="2020-04-20T21:21:19+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="719eb59d-2f42-4b66-b8b1-bb1254473967" name="test_server_connectivity_resize" time="27.608" timestamp="2020-04-20T21:22:01+0000">
      <failure>Traceback (most recent call last):
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/common/utils/__init__.py", line 89, in wrapper
    return f(*func_args, **func_kwargs)
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/scenario/test_network_advanced_server_ops.py", line 190, in test_server_connectivity_resize
    floating_ip = self._setup_network(server, keypair)
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/scenario/test_network_advanced_server_ops.py", line 74, in _setup_network
    floating_ip = self.create_floating_ip(server, public_network_id)
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/scenario/manager.py", line 1011, in create_floating_ip
    port_id, ip4 = self._get_server_port_id_and_ip4(thing)
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/scenario/manager.py", line 988, in _get_server_port_id_and_ip4
    self.assertNotEmpty(port_map,
  File "/root/.rally/verification/verifier-2bf4cfeb-abf5-4d38-b7c9-8997a08c14ee/repo/tempest/test.py", line 899, in assertNotEmpty
    self.assertTrue(items, msg)
  File "/usr/lib/python3.8/site-packages/unittest2/case.py", line 702, in assertTrue
    raise self.failureException(msg)
AssertionError: [] is not true : No IPv4 addresses found in: [{'id': 'c874dacb-2c22-4356-90ac-3fbbed45bb5b', 'name': '', 'network_id': '6b300def-a9f0-47ce-b6cf-a8f86cfad6fd', 'tenant_id': 'cda97e2f386348979c4127424238777f', 'mac_address': 'fa:16:3e:5b:cc:6b', 'admin_state_up': True, 'status': 'DOWN', 'device_id': '34b61e5e-78fb-4c74-88eb-c1d73ace3da8', 'device_owner': 'compute:nova', 'fixed_ips': [{'subnet_id': '677693db-af9b-4d8d-a3d9-0f86b2505ee0', 'ip_address': '192.168.120.6'}], 'allowed_address_pairs': [], 'extra_dhcp_opts': [], 'security_groups': ['b3ae61ad-b489-44ff-900d-119792da87eb'], 'description': '', 'binding:vnic_type': 'normal', 'binding:profile': {}, 'binding:host_id': 'pod4-node3', 'binding:vif_type': 'ovs', 'binding:vif_details': {'port_filter': True}, 'port_security_enabled': True, 'qos_policy_id': None, 'qos_network_policy_id': None, 'dns_name': 'tempest-testnetworkadvancedserverops-server-736231629', 'dns_assignment': [{'ip_address': '192.168.120.6', 'hostname': 'tempest-testnetworkadvancedserverops-server-736231629', 'fqdn': 'tempest-testnetworkadvancedserverops-server-736231629.openstackgate.local.'}], 'dns_domain': '', 'resource_request': None, 'tags': [], 'created_at': '2020-04-20T21:22:13Z', 'updated_at': '2020-04-20T21:22:14Z', 'revision_number': 3, 'project_id': 'cda97e2f386348979c4127424238777f'}]
</failure>
    </testcase>
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="61f1aa9a-1573-410e-9054-afa557cab021" name="test_server_connectivity_stop_start" time="41.208" timestamp="2020-04-20T21:22:29+0000" />
    <testcase classname="tempest.scenario.test_network_advanced_server_ops.TestNetworkAdvancedServerOps" id="5cdf9499-541d-4923-804e-b9a60620a7f0" name="test_server_connectivity_suspend_resume" time="41.197" timestamp="2020-04-20T21:23:10+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="1546850e-fbaa-42f5-8b5f-03d8a6a95f15" name="test_connectivity_between_vms_on_different_networks" time="63.515" timestamp="2020-04-20T21:23:53+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="b158ea55-472e-4086-8fa9-c64ac0c6c1d0" name="test_mtu_sized_frames" time="32.980" timestamp="2020-04-20T21:24:57+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="7c0bb1a2-d053-49a4-98f9-ca1a1d849f63" name="test_port_security_macspoofing_port" time="97.473" timestamp="2020-04-20T21:25:30+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="759462e1-8535-46b0-ab3a-33aa45c55aaa" name="test_preserve_preexisting_port" time="45.755" timestamp="2020-04-20T21:27:07+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="d8bb918e-e2df-48b2-97cd-b73c95450980" name="test_subnet_details" time="35.030" timestamp="2020-04-20T21:27:53+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="f5dfcc22-45fd-409f-954c-5bd500d7890b" name="test_update_instance_port_admin_state" time="56.283" timestamp="2020-04-20T21:28:28+0000" />
    <testcase classname="tempest.scenario.test_network_basic_ops.TestNetworkBasicOps" id="04b9fe4e-85e8-4aea-b937-ea93885ac59f" name="test_update_router_admin_state" time="39.587" timestamp="2020-04-20T21:29:25+0000" />
    <testcase classname="tempest.scenario.test_object_storage_basic_ops.TestObjectStorageBasicOps" id="916c7111-cb1f-44b2-816d-8f760e4ea910" name="test_swift_acl_anonymous_download" time="0.254" timestamp="2020-04-20T21:30:07+0000" />
    <testcase classname="tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps" id="13ccf253-e5ad-424b-9c4a-97b88a026699" name="test_boot_into_disabled_port_security_network_without_secgroup" time="57.699" timestamp="2020-04-20T21:30:11+0000" />
    <testcase classname="tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps" id="d2f77418-fcc4-439d-b935-72eca704e293" name="test_multiple_security_groups" time="31.946" timestamp="2020-04-20T21:31:08+0000" />
    <testcase classname="tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps" id="7c811dcc-263b-49a3-92d2-1b4d8405f50c" name="test_port_security_disable_security_group" time="46.497" timestamp="2020-04-20T21:31:40+0000" />
    <testcase classname="tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps" id="f4d556d7-1526-42ad-bafb-6bebf48568f6" name="test_port_update_new_security_group" time="44.947" timestamp="2020-04-20T21:32:27+0000" />
    <testcase classname="tempest.scenario.test_server_advanced_ops.TestServerAdvancedOps" id="949da7d5-72c8-4808-8802-e3d70df98e2c" name="test_server_sequence_suspend_resume" time="23.238" timestamp="2020-04-20T21:33:17+0000" />
    <testcase classname="tempest.scenario.test_shelve_instance.TestShelveInstance" id="1164e700-0af0-4a4c-8792-35909a88743c" name="test_shelve_instance" time="47.293" timestamp="2020-04-20T21:33:48+0000" />
    <testcase classname="tempest.scenario.test_shelve_instance.TestShelveInstance" id="c1b6318c-b9da-490b-9c67-9339b627271f" name="test_shelve_volume_backed_instance" time="38.541" timestamp="2020-04-20T21:34:35+0000" />
    <testcase classname="tempest.scenario.test_snapshot_pattern.TestSnapshotPattern" id="608e604b-1d63-4a82-8e3e-91bc665c90b4" name="test_snapshot_pattern" time="55.937" timestamp="2020-04-20T21:35:27+0000" />
    <testcase classname="tempest.scenario.test_stamp_pattern.TestStampPattern" id="10fd234a-515c-41e5-b092-8323060598c5" name="test_stamp_pattern" time="75.583" timestamp="2020-04-20T21:36:35+0000" />
    <testcase classname="tempest.scenario.test_volume_backup_restore.TestVolumeBackupRestore" id="2ce5e55c-4085-43c1-98c6-582525334ad7" name="test_volume_backup_restore" time="32.819" timestamp="2020-04-20T21:38:04+0000" />
    <testcase classname="tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern" id="05795fb2-b2a7-4c9f-8fac-ff25aedb1489" name="test_create_server_from_volume_snapshot" time="22.741" timestamp="2020-04-20T21:38:58+0000" />
    <testcase classname="tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern" id="557cd2c2-4eb8-4dce-98be-f86765ff311b" name="test_volume_boot_pattern" time="66.566" timestamp="2020-04-20T21:39:21+0000" />
  </testsuite>
</testsuites>
